Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.xml.dom
Interface Namespace

All Superinterfaces:
  Node

All Known Implementing Classes:
  NamespaceImpl, XPathNamespaceNode

    public interface Namespace

extends Node

Extension to DOM level 1 interfaces This represents an XPath namespace node

Field Summary
`static short` | `NAMESPACE_NODE` Constant value similar to DOM-defined constants for node type.

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`NamespaceName` | `getNamespaceName()` Return the `NamespaceName` object for this namespace node.

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Field Detail

### NAMESPACE_NODE

    static final short NAMESPACE_NODE

  Constant value similar to DOM-defined constants for node type. This value is returned by getNodeType()

  See Also:
    Constant Field Values

Method Detail

### getNamespaceName

    NamespaceName getNamespaceName()

  Return the `NamespaceName` object for this namespace node. This should generally be used in preference to `getNodeValue()` (which returns the string value of the uri) because `NamespaceName` objects can be compared much more efficiently than can strings.

  Returns:
    The `NamespaceName` of this namespace node

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD